/*------------------------------------*\
    
    Page Footer CSS

    Page footer...........The main page footer.

\*------------------------------------*/

.page-footer {
	background-color: var(--predawn-indigo);
	padding: 64px 0 0;
	overflow: hidden;
}

.page-footer a {
	background: transparent;
}

.footer-flex__left {
	text-align: center;
}

.footer-logo a {
	display: block;
	max-width: 231px;
	margin: 0 auto;
	border: none;
}

.footer-logo .logo {
	max-width: 100%;
	height: auto;
}
.footer-social {
	margin: 32px 0;
}

.footer-social ul {
	padding: 0;
	margin: 0;
	gap: 24px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.footer-social ul li {
	padding: 0;
	margin: 0;
}

.footer-social ul li::before {
	display: none;
}

.footer-social ul li a {
	font-size: 38px;
	border: none;
	color: var(--secondary-color);
}

.footer-info ul {
	padding: 0;
	margin: 0;
}

.footer-info ul {
	padding: 0;
	margin: 0;
	gap: 14px;
	display: flex;
	align-items: center;
	justify-content: center;
	flex-direction: column;
}

.footer-info ul li {
	padding: 0;
	margin: 0;
}

.footer-info ul li::before {
	display: none;
}

.footer-info ul li a {
	font-size: 16px;
	color: var(--secondary-color);
	display: flex;
	border: none;
	align-items: center;
	justify-content: center;
}

.footer-info ul li a i {
	font-size: 22px;
	margin-right: 5px;
}

.footer-flex-top__right ul {
	padding: 0;
	margin: 0;
}

.footer-flex-top__right ul {
	padding: 0;
	margin: 0;
	-webkit-column-gap: 0;
	-moz-column-gap: 0;
	column-gap: 0;
	-webkit-column-count: 2;
	-moz-column-count: 2;
	column-count: 2;
}

.footer-flex-top__right ul li {
	padding: 0;
	margin: 0 0 16px;
}

.footer-flex-top__right ul li::before {
	display: none;
}

.footer-flex-top__right ul li a {
	font-size: 13.5px;
	color: #fff;
	display: flex;
	align-items: center;
	border: none;
	justify-content: flex-start;
	line-height: 1.5em;
}

.footer-flex h3 {
	font-size: 18px;
	color: #fff;
	font-weight: 700;
	font-family: "DM Sans", sans-serif;
	padding: 0 0 9px;
	border-bottom: 1px solid #164761;
	margin: 0 0 24px;
}

.footer-flex-top__right {
	margin-top: 40px;
}

.footer-bottom {
	background-color: var(--darybreak-blue);
	padding: 12px 0 67px;
	position: relative;
	margin-top: 48px;
}

.footer-bottom-flex ul {
	display: flex;
	align-items: center;
	justify-content: center;
	flex-wrap: wrap;
	padding: 0;
	margin: 0;
	gap: 0px 22px;
}

.footer-bottom-flex ul li {
	padding: 0;
	margin: 0;
	font-size: 12px;
	font-weight: 400;
	color: #fff;
}

.footer-bottom-flex ul li:before {
	display: none;
}

.footer-bottom-flex ul li a {
	font-size: 12px;
	border: none;
	font-weight: 400;
	color: #fff;
}

.back-to-top a {
	font-size: 16px;
	color: var(--darybreak-blue);
	font-weight: 700;
	display: flex;
	border: none;
	align-items: center;
	justify-content: center;
	background-color: #fff;
	background: linear-gradient(90deg, #ffffff 0%, var(--first-light) 100%);
	border-radius: 24px 24px 0px 0px;
	padding: 16px 0;
}

.back-to-top a i {
	font-size: 15px;
	margin-right: 5px;
}

.back-to-top {
	position: absolute;
	left: 0;
	bottom: 0;
	width: 100%;
}

@media (min-width: 768px) {
	.footer-flex__left {
		text-align: left;
	}

	.footer-logo a {
		margin: 0;
	}

	.footer-social ul {
		justify-content: flex-start;
	}

	.footer-info ul {
		align-items: flex-start;
	}

	.footer-flex {
		justify-content: space-between;
		display: flex;
	}

	.footer-flex-top__right {
		margin-top: 0;
		width: calc(100% - 286px);
	}

	.footer-flex-top__right ul li a {
		font-size: 16px;
	}

	.footer-social {
		margin: 60px 0;
	}

	.footer-bottom {
		padding: 11px 0;
		margin-top: 60px;
	}

	.back-to-top {
		left: unset;
		width: auto;
		right: 0;
		top: -11px;
	}

	.footer-bottom-flex {
		position: relative;
	}

	.back-to-top a {
		border-radius: 24px 0 0px 0px;
		padding: 11px 10px 11px 24px;
		position: relative;
		z-index: 1;
		width: -webkit-max-content;
		width: -moz-max-content;
		width: max-content;
		transition: all ease 0.3s;
		background: transparent;
	}

	.back-to-top a:after {
		content: "";
		position: absolute;
		height: 100%;
		top: 0;
		background-color: #fff;
		width: calc(100% + 53px);
		z-index: -1;
		left: 0;
		border-radius: 24px 0 0px 0px;
		transition: all ease 0.3s;
		background: linear-gradient(90deg, #ffffff 0%, var(--first-light) 100%);
	}

	.footer-bottom-flex ul {
		justify-content: flex-start;
	}

	.page-footer {
		padding: 80px 0 0;
	}

	.back-to-top a {
		padding: 12px 10px 13px 24px;
	}
}

@media (min-width: 1200px) {
	.footer-logo a {
		max-width: 300px;
	}

	.footer-social {
		margin: 24px 0 18px;
	}

	.footer-social ul {
		gap: 40px;
	}

	.footer-flex-top__right {
		width: calc(100% - 380px);
		margin-top: 18px;
	}

	.footer-flex-top__right ul {
		-webkit-column-count: unset;
		-moz-column-count: unset;
		column-count: unset;
		display: -ms-grid;
		display: grid;
		-ms-grid-columns: 39% 46% 41%;
		grid-template-columns: 39% 46% 41%;
	}

	.back-to-top a:after {
		width: calc(100vw - 901px);
	}

	.footer-flex h3 {
		font-size: 20px;
	}

	.footer-flex-top__right ul li {
		margin: 0 0 24px;
		flex: 1 0 30%;
	}

	.back-to-top a {
		padding: 13px 89px 13px 20px;
	}

	.footer-flex-top__right-links {
		display: flex;
		align-items: flex-start;
		justify-content: space-between;
	}

	.page-footer {
		padding: 100px 0 0;
	}

	.footer-bottom {
		margin-top: 80px;
	}

	.back-to-top a:hover:after {
		background: linear-gradient(90deg, var(--apricot-glow) 0%, var(--apricot-glow) 100%);
	}

	.back-to-top a:hover {
		color: var(--text-color);
	}

	.footer-social ul li a:hover,
	.footer-info ul li a:hover {
		color: var(--apricot-glow);
	}

	.footer-flex-top__right ul li a:hover,
	.footer-bottom-flex ul li a:hover {
		color: var(--apricot-glow);
	}
}

@media (min-width: 1600px) {
	.footer-flex-top__right {
		width: calc(100% - 489px);
	}

	.back-to-top a:after {
		width: calc(50vw - 371px);
	}
}
